gstreamermm 1.8.0

Public Attributes | List of all members
Gst::VideoRectangle Struct Reference

A helper structure for the Gst::VideoSink class representing a rectangular area. More...

`#include <gstreamermm/videosink.h>`

## Public Attributes
int | x
| The X coordinate of the rectangle's top-left point. More...
int | y
| The Y coordinate of rectangle's top-left point. More...
int | w
| The width of the rectangle. More...
int | h
| The height of the rectangle. More...

## Detailed Description

A helper structure for the Gst::VideoSink class representing a rectangular area.

## Member Data Documentation

## § h

int Gst::VideoRectangle::h

The height of the rectangle.

## § w

int Gst::VideoRectangle::w

The width of the rectangle.

## § x

int Gst::VideoRectangle::x

The X coordinate of the rectangle's top-left point.

## § y

int Gst::VideoRectangle::y

The Y coordinate of rectangle's top-left point.